### Method

# Gimp Vector3 cross_product

#### Declaration [src]

    GimpVector3
    gimp_vector3_cross_product (
      const GimpVector3* vector1,
      const GimpVector3* vector2
    )

#### Description [src]

Compute the cross product of two vectors. The result is a `GimpVector3` which is orthogonal to both `vector1` and `vector2`. If `vector1` and `vector2` and parallel, the result will be the nul vector.

This function can be used to compute the normal of the plane defined by `vector1` and `vector2`.

#### Parameters

`vector2`

  Type: `GimpVector3`

  A pointer to the second `GimpVector3`.

  The data is owned by the caller of the method.

#### Return value

Type: `GimpVector3`

The cross product.